OPNSENSE-IMPORTER(8)

NAME
opnsense-importer - OPNsense import utility

SYNOPSIS
opnsense-importer [-b] [disk]

DESCRIPTION
The opnsense-importer utility can import a previous configuration from multiple types of disk formats. If successful, the old configuration will be replaced.

The disk selection allows the user to escape to a shell by issuing ‘’! instead. This shell can be used to e.g. start an early install process using opnsense-installer(8).

The options are as follows:

-b  Run the importer in boot mode, which only triggers the import timeout prompt when no current configuration is found in the system. This mode is used for install media duties to allow early configuration imports to be able to live-boot into them afterwards.

EXIT STATUS

SEE ALSO
opnsense-installer(8)

HISTORY
The opnsense-importer utility first appeared in OPNsense 17.1.4. It was derived from code written for the opnsense-installer(8) utility.

AUTHORS
Franco Fichtner <franco@opnsense.org>